package com.tmerclub.cloud.search.canal.support.parser.converter;


import java.sql.Date;
import java.sql.JDBCType;

/**
 * @author throwable
 * @version v1
 * @description
 * @since 2020/9/22 0:34
 */
public class SqlDateCanalFieldConverter1 extends BaseCanalFieldConverter<Date> {

    public static final BaseCanalFieldConverter<Date> X = new SqlDateCanalFieldConverter1();

    private SqlDateCanalFieldConverter1() {
        super(JDBCType.DATE, Date.class);
    }

    @Override
    protected Date convertInternal(String source) {
        return Date.valueOf(SqlDateCanalFieldConverter0.X.convert(source));
    }
}
